## python-kismet-external 2019.05.01+git20191219

=== Makefile ===
PYTHON ?= /usr/bin/env python2
PROTOCBIN ?= protoc

all:	
	$(PYTHON) ./setup.py bdist
	
install:
	$(PYTHON) ./setup.py install

protobuf:
	( cd KismetExternal; \
	  $(PROTOCBIN) -I ../protobuf_definitions --python_out=. ../protobuf_definitions/*.proto; \
	  sed -i -E 's/^import.*_pb2/from . \0/' *_pb2.py ; \
	)

clean:
	@-$(PYTHON) ./setup.py clean

=== debian/changelog ===
python-kismet-external (2019.05.01+git20191219-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Update d/watch to point to the git repository.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 30 Jan 2023 14:12:17 -0600

python-kismet-external (2019.05.01+git20191219-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2019.05.01+git20191219

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 Jan 2020 09:57:00 +0100

python-kismet-external (2019.05.01+git20190718-0kali2) kali-dev; urgency=medium

  * Remove useless Python 2 package

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Aug 2019 09:30:09 +0200

python-kismet-external (2019.05.01+git20190718-0kali1) kali-dev; urgency=medium

  * Initial release
  * Package Python 2 version for Kismet not ready for Python3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 22 Jul 2019 14:44:05 +0200

=== debian/control ===
Source: python-kismet-external
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-protobuf
Standards-Version: 4.6.2
Homepage: https://github.com/kismetwireless/python-kismet-external
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-kismet-external
Vcs-Git: https://gitlab.com/kalilinux/packages/python-kismet-external.git
Testsuite: autopkgtest-pkg-python

Package: python3-kismetexternal
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: External tool Python API library for Kismet (Python 3)
 This package contains the Kismet external tool Python API library.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=kismetexternal

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git,pretty=2019.05.01+git%cd,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-kismet-external-$1.tar.gz%" \
  https://github.com/kismetwireless/python-kismet-external HEAD
# Upstream does not tag the releases
#   https://github.com/kismetwireless/python-kismet-external/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-kismet-external 2020.10.01+git20230221.a8a5bf8

=== Makefile ===
PYTHON ?= /usr/bin/env python3
PROTOCBIN ?= protoc

PROTOBUF_DEFINITIONS := $(wildcard protobuf_definitions/*.proto)

.PHONY: all install protobuf clean

all:
	$(PYTHON) ./setup.py bdist

install:
	$(PYTHON) ./setup.py install

protobuf: $(PROTOBUF_DEFINITIONS:protobuf_definitions/%.proto=kismetexternal/%_pb2.py)

kismetexternal/%_pb2.py: protobuf_definitions/%.proto
	$(PROTOCBIN) -I protobuf_definitions --python_out=kismetexternal $^
	sed -i -E 's/^import.*_pb2/from . \0/' $@

clean:
	@-$(PYTHON) ./setup.py clean

=== debian/changelog ===
python-kismet-external (2020.10.01+git20230221.a8a5bf8-0kali1) kali-dev; urgency=medium

  * Update my email
  * Update debian/watch
  * New upstream version 2020.10.01+git20230221.a8a5bf8
  * Update debian/copyright
  * Add missing build dep python3-websockets

 -- Sophie Brun <sophie@kali.org>  Thu, 11 Sep 2025 16:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-protobuf
+Uploaders: Sophie Brun <sophie@kali.org>
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-protobuf, python3-websockets
 Standards-Version: 4.6.2
 Homepage: https://github.com/kismetwireless/python-kismet-external
 Vcs-Browser: https://gitlab.com/kalilinux/packages/python-kismet-external

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/kismetwireless/python-kismet-external.git \
    HEAD debian

# Upstream does not tag the releases
#   https://github.com/kismetwireless/python-kismet-external/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
